<?php



namespace app\common\model\user;


use app\common\model\BaseModel;

class UserBrokerage extends BaseModel
{

    public static function tablePk(): ?string
    {
        return 'user_brokerage_id';
    }

    public static function tableName(): string
    {
        return 'user_brokerage';
    }

    public function getBrokerageRuleAttr($val)
    {
        return json_decode($val, true);
    }

    public function setBrokerageRuleAttr($val)
    {
        return json_encode($val, JSON_UNESCAPED_UNICODE);
    }

    public function getExtensionOneRateAttr()
    {
        return bcdiv((int)$this->extension_one, 100, 4);
    }

    public function getExtensionTwoRateAttr()
    {
        return bcdiv((int)$this->extension_two, 100, 4);
    }

}